일정 생성
POST
https://api.youvico.com/api/projects/:id/schedules- 요청 제한
- Tier 3
- API 권한
- schedules:write
프로젝트 일정을 생성합니다.
예시
curl -X POST 'https://api.youvico.com/api/projects/bdbff5de-96d7-468f-9db0-85fe28bd6b62/schedules' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{ "name": "Final review", "description": "Review the final cut", "startDate": "2026-05-31", "startTime": "09:00", "endDate": "2026-06-01", "endTime": "18:00", "color": "BLUE" }'
{
"data": {
"id": "5f2c8a1e-3b4d-4e6f-9a7b-1c2d3e4f5a6b"
}
}
요청
curl -X POST 'https://api.youvico.com/api/projects/bdbff5de-96d7-468f-9db0-85fe28bd6b62/schedules' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"name": "Final review",
"description": "Review the final cut",
"startDate": "2026-05-31",
"startTime": "09:00",
"endDate": "2026-06-01",
"endTime": "18:00",
"color": "BLUE"
}'
응답201 Created
{
"data": {
"id": "5f2c8a1e-3b4d-4e6f-9a7b-1c2d3e4f5a6b"
}
}
요청
경로
idstringrequired프로젝트 ID
본문
namestringrequired1-255 characters
일정 이름
예시: Final review
descriptionstring1-1000 characters
일정 설명
예시: Review the final cut
startDatestringrequired시작 날짜. YYYY-MM-DD
예시: 2026-05-31
startTimestring?required시작 시각. HH:mm, 종일 일정이면 null
예시: 09:00
endDatestring?required종료 날짜. YYYY-MM-DD, 시작 날짜에 끝나면 null
예시: 2026-06-01
endTimestring?required종료 시각. HH:mm 또는 null
예시: 18:00
colorstringrequired일정 색상
가능한 값: NONEREDORANGEYELLOWGREENBLUEPURPLEPINKGRAY
예시: BLUE
참고
날짜와 시각은 다음 조건을 모두 만족해야 합니다.
startTime이null이면endTime도null이어야 합니다.startTime과endDate가 있으면endTime도 있어야 합니다.endDate는startDate보다 뒤 날짜여야 합니다. 시작 날짜에 끝나는 일정은endDate를null로 보내고endTime만 지정합니다.- 종료는 시작보다 뒤여야 합니다.
응답
201 Created를 반환합니다.
dataobject생성된 일정
data.idstring일정 ID
예시: 5f2c8a1e-3b4d-4e6f-9a7b-1c2d3e4f5a6b